Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::v3::concepts::ReserveAndAssignable Struct Reference
Inheritance diagram for ranges::v3::concepts::ReserveAndAssignable:

## Public Member Functions
template<typename C , typename I >
auto | requires_ (C &&c, I &&i) -> decltype(concepts::valid_expr(((void) c.assign(i, i), 42)))
Public Member Functions inherited from ranges::v3::concepts::refines< Reservable(_1), InputIterator(_2)>
void | requires_ ()

## Additional Inherited Members
Public Types inherited from ranges::v3::concepts::refines< Reservable(_1), InputIterator(_2)>
using | base_concepts_t = meta::list< Concepts... >